# ReloadEvent Class
A ReloadEvent is triggerd when the reload console command is executed or the asterisk server is started. It is implemented in manager.c

AsterNet Class Library (Sandcastle documentation)

| ReloadEvent Class

A ReloadEvent is triggerd when the reload console command is executed or the asterisk server is started.
It is implemented in manager.c
Inheritance Hierarchy
System
Object
System
EventArgs
AsterNET.Manager.Event
ManagerEvent
AsterNET.Manager.Event
ConnectionStateEvent
AsterNET.Manager.Event
ReloadEvent

Namespace: AsterNET.Manager.Event
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public class ReloadEvent : ConnectionStateEvent

    Public Class ReloadEvent
    	Inherits ConnectionStateEvent

    public ref class ReloadEvent : public ConnectionStateEvent

    type ReloadEvent =
        class
            inherit ConnectionStateEvent
        end

The ReloadEvent type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| ReloadEvent | Initializes a new instance of the ReloadEvent class

Top
Methods

| Name | Description
--- | --- | ---
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
| Parse | Unknown properties parser (Inherited from ManagerEvent.)
| ParseSpecial | Unknown properties parser. (Inherited from ManagerEvent.)
| ToString | Convert all properties to string (Inherited from ManagerEvent.)

Top
Properties

| Name | Description
--- | --- | ---
| Attributes | Store all unknown (without setter) keys from manager event. Use in default Parse method Parse(String, String) (Inherited from ManagerEvent.)
| Channel | Get/Set the name of the channel. (Inherited from ManagerEvent.)
| DateReceived | Get/Set the point in time this event was received from the Asterisk server. Pseudo events that are not directly received from the asterisk server (for example ConnectEvent and DisconnectEvent) may return null. (Inherited from ManagerEvent.)
| Message | Returns "Reload Requested", "ENUM reload Requested", "DNSmgr reload Requested", "CDR subsystem reload requested" .
| Module | Returns "Manager" "Enum" "DNSmgr" "CDR"
| Privilege | Get/Set the AMI authorization class of this event. This is one or more of system, call, log, verbose, command, agent or user. Multiple privileges are separated by comma. Note: This property is not available from Asterisk 1.0 servers. (Inherited from ManagerEvent.)
| Reconnect | Get/Set reconnect status. (Inherited from ConnectionStateEvent.)
| Server | Specify a server to which to send your commands (x.x.x.x or hostname). This should match the server name specified in your config file's "host" entry. If you do not specify a server, the proxy will pick the first one it finds -- fine in single-server configurations. (Inherited from ManagerEvent.)
| Source | The ManagerConnection the Event was sourced from. (Inherited from ManagerEvent.)
| Status | Reload event status.
| Timestamp | Returns the timestamp for this event. The timestamp property is available in Asterisk since 1.4 if enabled in manager.conf by setting timestampevents = yes. In contains the time the event was generated in seconds since the epoch. (Inherited from ManagerEvent.)
| UniqueId | Get/Set the unique id of the channel. (Inherited from ManagerEvent.)

Top
See Also

#### Reference

AsterNET.Manager.Event Namespace